complexType "FeaturePayment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, (levelPercentage? | amount?), time?, currency?, featurePaymentDate?
</...>

Content Model Elements (9):

  amount (in featurePayment),
  currency (in featurePayment),
  featurePaymentDate,
  levelPercentage (in featurePayment),
  payerAccountReference,
  payerPartyReference,
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  time (in featurePayment)

All Direct / Indirect Based Elements (1):

  featurePayment

Known Usage Locations

- As direct type of elements (1):
  featurePayment

Annotation
Payment made following trigger occurence.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) FeaturePayment

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FeaturePayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:choice> <xsd:element minOccurs="0" name="levelPercentage" type="xsd:decimal"/> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:choice> <xsd:element minOccurs="0" name="time" type="TimeTypeEnum"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="featurePaymentDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/9)
amount

  Type: | NonNegativeDecimal, simple content

  The monetary quantity in currency units.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/>

currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

featurePaymentDate

  Type: | AdjustableOrRelativeDate, complex content

  The feature payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="featurePaymentDate" type="AdjustableOrRelativeDate"/>

levelPercentage

  Type: | xsd:decimal, predefined, simple content

  The trigger level percentage.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="levelPercentage" type="xsd:decimal"/>

time

  Type: | TimeTypeEnum, simple content

  The feature payment time.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Close" | - | The official closing time of the exchange on the valuation date. See: http://www.FpML.org
  "Open" | - | The official opening time of the exchange on the valuation date. See: http://www.FpML.org
  "OSP" | - | The time at which the official settlement price is determined. See: http://www.FpML.org
  "SpecificTime" | - | The time specified in the element equityExpirationTime or valuationTime (as appropriate) See: http://www.FpML.org
  "XETRA" | - | The time at which the official settlement price (following the auction by the exchange) is determined by the exchange. See: http://www.FpML.org
  "DerivativesClose" | - | The official closing time of the derivatives exchange on which a derivative contract is listed on that security underlyer. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The time is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="time" type="TimeTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.